Subject: RFC-4364: PE - CE routing exchange using BGP

From: "Dilip Kumar" <[email-masked]>
Date: Thu, 19 Jul 2007 12:05:20 -0700

Hi All,
    I am implementing RFC-4364 and considering BGP for PE to CE (and vice
versa) routing information exchange. Following text from Section-7.4 of the
RFC indicates that there is no need to run multiple instances of BGP on PE
router.

            "a) Unlike the IGP alternatives, this does not require the PE
               to run multiple routing algorithm instances in order to
               talk to multiple CEs."

As CEs can use overlapping private addresses, it may be possible that two
CEs connected to the PE may have the same IP address for BGP. This will
allow only one BGP neighbor to be created at PE, unless some other key, like
instance ID, is attached along with peer address at PE. I was wondering how
it would be possible without running multiple instances of BGP at PE. Can
anyone explain/clarify it ?

Thanks,
Dilip